{% extends 'root.twig' %}

{% block body %}
	<header class="header">
		<div class="header__background">
			<a href="{{ site.url }}" class="logo"></a>
		</div>
		<div class="site-wrap--inner">
			<nav id="nav-main" class="nav-main nav-inline">
				<ul>
					{% for item in menu.main.get_items %}
						{% include 'partial/menu-item.twig' with { item: item } %}
					{% endfor %}
				</ul>
			</nav>
		</div>
	</header>

	<main class="main main--with-sidebar">
		<div class="site-wrap--inner">
			<div class="content">
				{% block content %}
				{% endblock %}
			</div>
			<div class="sidebar">
				<div class="gigadmin__date">
					<a href="/events">
						<h3 class="title">nächstes event</h3>
						{% if nextEvent %}
							<b>{{ nextEvent.datum|date('D, d.m.y') }}</b> &ndash; {{ nextEvent.veranstaltung }}
							{% if nextEvent.bands %}
								<br>
								mit
              					<br>
								<span class="bands">{{ nextEvent.bands|map(b => b.name)|join(' &middot; ') }}</span>
							{% endif %}
						{% else %}
							...ist aktuell in Planung! 🙂
						{% endif %}
					</a>
				</div>
				{% for key,item in sidebar %}
					<div class="sidebar__{{ key }}">
						{{ item }}
					</div>
				{% endfor %}
			</div>
		</div>
	</main>

	<footer class="footer">
		<div class="site-wrap--inner">
			<div class="footer__links">
				{% for key,item in footer %}
					<div class="footer__{{ key }}">
						{{ item }}
					</div>
				{% endfor %}
			</div>
			<nav id="nav-footer" class="nav-footer">
				<ul>
					{% spaceless %}
						{% for item in menu.footer.get_items %}
							{% include 'partial/menu-item.twig' with { item: item } %}
						{% endfor %}
					{% endspaceless %}
				</ul>
			</nav>
		</div>
	</footer>
{% endblock %}
